#!/bin/ksh

#
# @(#)src/scripts/webstart_update_sdk.sh, webstart, paw142, 20050319 1.1
# ===========================================================================
# Licensed Materials - Property of IBM
# "Restricted Materials of IBM"
#
# IBM SDK, Java(tm) 2 Technology Edition, v1.4.2
# (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
# ===========================================================================
#


#
# Script to update
# ~/.mailcap and ~/.mime.types accordingly for WebStart
# which is already installed in /usr/java14/jre/javaws.

PATH=/usr/bin:/usr/ucb/bin:/bin
TMPDIR=/tmp

# Functions

# Update .mailcap
updateMailcap() {
    echo 'Updating ~/.mailcap...'
    if [ -f ${HOME}/.mailcap ]; then
      jGrep=`grep -n  ${MIME_TYPE} ${HOME}/.mailcap`      
      if [ -n "$jGrep" ] ; then
        # Remove existing entry  - so we are sure the path is right
        grep -v ${MIME_TYPE} ${HOME}/.mailcap > ${TMPDIR}/.mailcap1
        grep -v "# Java Web Start" ${TMPDIR}/.mailcap1 > ${TMPDIR}/.mailcap2
        rm ${TMPDIR}/.mailcap1
        mv ${TMPDIR}/.mailcap2 ${HOME}/.mailcap
      fi
      # Doesn't contain application/x-java-jnlp-file file, add it.
      echo "# Java Web Start" >> ${HOME}/.mailcap
      echo "${MIME_TYPE}; $INSTALLDIR/javaws %s" >> ${HOME}/.mailcap
    else
      # .mailcap doesn't exist, create it.
      echo "# Java Web Start" > ${HOME}/.mailcap
      echo "${MIME_TYPE}; $INSTALLDIR/javaws %s" >> ${HOME}/.mailcap
    fi
}

# Update .mime.types
updateMimeTypes() {
    echo 'Updating ~/.mime.types...'
    if [ -f ${HOME}/.mime.types ]; then
      # the file exists, make sure it contains jnlp
      jGrep=`grep ${MIME_TYPE} ${HOME}/.mime.types`
      if [ -z "${jGrep}" ]; then
	# doesn't contain Javaws, add it
	echo "type=${MIME_TYPE} desc=\"Java Web Start\" exts=\"jnlp\"" >> \
	     ${HOME}/.mime.types
      fi
    else
      # Doesn't exist so create it, even though if it doesn't exist it
      # implies you are not using Communicator, but we'll create it on the
      # chance that you do install Communicator.
      echo '#--Netscape Communications Corporation MIME Information' > \
	   ${HOME}/.mime.types
      echo '#Do not delete the above line. It is used to identify the file type.' \
	   >> ${HOME}/.mime.types
      echo '#mime types added by Netscape Helper' >> ${HOME}/.mime.types
      echo 'type=application/x-java-jnlp-file desc="Java Web Start" exts="jnlp"' >> \
	   ${HOME}/.mime.types
    fi
}

# Where is jn.dtet
INSTALLDIR=/usr/java14/jre/javaws

# Mime type registered under.
MIME_TYPE=application/x-java-jnlp-file

updateMailcap
updateMimeTypes
exit 0
